version: '2'
services:
    novnc:
        build: .
        image: registry-intl.eu-central-1.aliyuncs.com/tuffigorapidex/webvnc-novnc:latest
        # image: registry.mytuffigorapidex.xyz/the-ricks/repeater/webvnc-novnc:vpn
        environment: 
        - REPEATER_HOST=localhost
        - NOVNC_NOREPEATER=1
        - NOVNC_REPEATER=0
        - OPVN_GEN_CONF=1
        - OVPN_API_URL=http://openvpn-api:8000/api/regule/
        - MYTR_URL=http://api.mytuffigorapidex.com/internal/v2/controllers/
        - OVPN_CLIENT=0
        cap_add:
        - NET_ADMIN
        ports:
          - 6080:6080
        
